package com.mvc.entity;

import java.util.Date;

public class TMaintenanceRecords {
    private Integer id;

    private String stationCode;

    private String stationName;

    private Date configTime;

    private Integer configId;

    private String maintenanceType;

    private String maintenanceReason;

    private String deviceSn;

    private String productVersion;

    private String sealant;

    private String antennaType;

    private Integer setupId;

    private String fixationMethod;

    private String glueType;

    private String glassType;

    private String remarks;

    private String registrant;

    private Date registrationTime;

    private Date createTime;

    private Date lastMaintenanceTime;

    private String autoFlag;

    private String installEnvironment;

    private String hasLagging;

    private String hasBreatheValve;

    private String hasDesiccant;

    private String topSealMethod;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public Date getConfigTime() {
        return configTime;
    }

    public void setConfigTime(Date configTime) {
        this.configTime = configTime;
    }

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public String getMaintenanceType() {
        return maintenanceType;
    }

    public void setMaintenanceType(String maintenanceType) {
        this.maintenanceType = maintenanceType == null ? null : maintenanceType.trim();
    }

    public String getMaintenanceReason() {
        return maintenanceReason;
    }

    public void setMaintenanceReason(String maintenanceReason) {
        this.maintenanceReason = maintenanceReason == null ? null : maintenanceReason.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getProductVersion() {
        return productVersion;
    }

    public void setProductVersion(String productVersion) {
        this.productVersion = productVersion == null ? null : productVersion.trim();
    }

    public String getSealant() {
        return sealant;
    }

    public void setSealant(String sealant) {
        this.sealant = sealant == null ? null : sealant.trim();
    }

    public String getAntennaType() {
        return antennaType;
    }

    public void setAntennaType(String antennaType) {
        this.antennaType = antennaType == null ? null : antennaType.trim();
    }

    public Integer getSetupId() {
        return setupId;
    }

    public void setSetupId(Integer setupId) {
        this.setupId = setupId;
    }

    public String getFixationMethod() {
        return fixationMethod;
    }

    public void setFixationMethod(String fixationMethod) {
        this.fixationMethod = fixationMethod == null ? null : fixationMethod.trim();
    }

    public String getGlueType() {
        return glueType;
    }

    public void setGlueType(String glueType) {
        this.glueType = glueType == null ? null : glueType.trim();
    }

    public String getGlassType() {
        return glassType;
    }

    public void setGlassType(String glassType) {
        this.glassType = glassType == null ? null : glassType.trim();
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public String getRegistrant() {
        return registrant;
    }

    public void setRegistrant(String registrant) {
        this.registrant = registrant == null ? null : registrant.trim();
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastMaintenanceTime() {
        return lastMaintenanceTime;
    }

    public void setLastMaintenanceTime(Date lastMaintenanceTime) {
        this.lastMaintenanceTime = lastMaintenanceTime;
    }

    public String getAutoFlag() {
        return autoFlag;
    }

    public void setAutoFlag(String autoFlag) {
        this.autoFlag = autoFlag == null ? null : autoFlag.trim();
    }

    public String getInstallEnvironment() {
        return installEnvironment;
    }

    public void setInstallEnvironment(String installEnvironment) {
        this.installEnvironment = installEnvironment == null ? null : installEnvironment.trim();
    }

    public String getHasLagging() {
        return hasLagging;
    }

    public void setHasLagging(String hasLagging) {
        this.hasLagging = hasLagging == null ? null : hasLagging.trim();
    }

    public String getHasBreatheValve() {
        return hasBreatheValve;
    }

    public void setHasBreatheValve(String hasBreatheValve) {
        this.hasBreatheValve = hasBreatheValve == null ? null : hasBreatheValve.trim();
    }

    public String getHasDesiccant() {
        return hasDesiccant;
    }

    public void setHasDesiccant(String hasDesiccant) {
        this.hasDesiccant = hasDesiccant == null ? null : hasDesiccant.trim();
    }

    public String getTopSealMethod() {
        return topSealMethod;
    }

    public void setTopSealMethod(String topSealMethod) {
        this.topSealMethod = topSealMethod == null ? null : topSealMethod.trim();
    }
}